Security update for Nexus Mod Manager

  • Comment

Today we are releasing some security updates for the Nexus Mod Manager to bring us in line with the new EU GDPR rules coming into force next month.

NMM has been "end-of-line" since 2016, which means we no longer provide any official support for the software, but we thought it was prudent to spend the time and money to release this update so our users could continue to use the software's online services while ensuring we're compliant with the new regulations. We also did not want people to think we were using the GDPR as an excuse to force people on to our new mod manager, Vortex, either. The alternative was to simply turn off the old services completely, essentially making NMM, and any other software using our old login services, offline only.

To prevent any drama with this process, we've even patched up version 0.52.3 of NMM (the last version before the profile functionality was added) so there are no complaints.

In order to be compliant, we need to turn off our old, less secure login to the web services completely. We plan to do this on Tuesday the 8th of May. This will mean anyone who does not update their NMM will no longer be able to use NMM online. This will prevent you from being able to login, check for new file versions or download mods from the site directly in to NMM. This will also affect any other software that uses the old login destination and method, for example, Mod Organizer. We do not officially support Mod Organizer, nor is it made, updated or maintained by us, so any updates needed to ensure it works with our new login service will need to be handled by the team behind Mod Organizer. If you are currently a coder with software making use of the old Nexus login system, please do get in contact via PM or Discord and I will put you through to the appropriate person to help you get on to the newer system as soon as possible.

For convenience, both updated versions of NMM can be found on a new file page setup to make this a little easier. Remember, download 0.65.0 if you are using a version of NMM that is 0.60.x or later. Download 0.52.4 if you are using version 0.52.3 of NMM.

Apologies for the inconvenience caused, but it's 8 year old code now and, at some point, this was going to happen!

381 comments

  1. GeneralJohn
    GeneralJohn
    • supporter
    • 190 posts
    • 3 kudos
    Isn't this great, Vortex doesn't install some mods properly and NMM won't login 80% of the time and when it does, some mods throw an exception on install.

    Guess it's back to manually having to install mods.
  2. SweMrB
    SweMrB
    • member
    • 4 posts
    • 0 kudos
    My main problem with Vortex Is the size. I don't need a weird interface, and while 60MB isn't a large download, it is still 10 times that of NMM. Not to mention that the installed package is 230MB vs not even 30MB. Really?
  3. ThatSome
    ThatSome
    • supporter
    • 3 posts
    • 0 kudos
    Well everyone the good old days of NMM are behind us now. 65.2 is a terrible update that won't install several mods and forces you to either manually install them or use something else. Even upgrading to 65.6 did not solve the issue. Maybe we will like vortex maybe we won't. Goodbye NMM, the many years you were there to install and organize my mods will forever live on in memories. I swear I hate change, and through experience it is mostly for the worse. We will see.
  4. John452
    John452
    • member
    • 3 posts
    • 0 kudos
    how do i upgrade from 63.14 it wont let me log in or update with update button?
  5. mejille
    mejille
    • member
    • 28 posts
    • 0 kudos
    OH and by the way Vortex is not working very good yet. If a Mod has 3 main files that you to install, Vortex cannot decide the differance that all 3 belong together like FWE of fallout 3, Vortex gives the hot-patch a thumbs down, and a dismiss , bad script.. Just one mod of many that Vortex cannot recconize..
  6. mejille
    mejille
    • member
    • 28 posts
    • 0 kudos
    My friend is a premium NMM member, and he did not even NO about Vortex until 2 days ago. Great communication there Nexus M M staff to the people who paid for this ..Sarcastic :
  7. mejille
    mejille
    • member
    • 28 posts
    • 0 kudos
    Can anyone tell me why 65.2 Nexus Mod manager is not even downloading ANY Nexus MOD when I go to Mods for Skyrim and try to download any Mode, Like Unofficial Skyrim Legendary Edition Patch NMM does not work . No download what so-ever / - This rollout of Vortex reminds me of the Obama Care Puke Insurance roll out . it all Stinks.
  8. eurozom
    eurozom
    • member
    • 279 posts
    • 3 kudos
    I just want to express my appreciation to the Nexus staff for including a hotfix for NMM Version 0.56.2 as well. THANKS!

    I'm not using this older version out of stubbornness - I just have a few playthroughs that are complicated, messy, and managed through 0.56.2, and I really don't want to take the risk of messing up my existing games by having to re-install all my mods through the profile system, or in Vortex (which I haven't tried yet). Perhaps in the future I'll try the new manager, once it's out of Alpha, and once I have time to rearrange my mod preferences from scratch.

    In the meantime, I really appreciate being able to update modes and directly download them through NMM.
  9. TheOneWhoCantSurvive
    TheOneWhoCantSurvive
    • member
    • 5 posts
    • 0 kudos
    I'm not sure on what's happening to the NMM. I understand only that NMM is basically left there to rot (correct me if I'm wrong). I don't have any problem in using a new mod manager as long as it's downloaded from here, since I really enjoy flying over on this site and finding mods I may be interested in. So, back to my post. Some months ago, if I remember correctly, I installed again my copy of Skyrim, completely unmodded. I came here and downloaded many mods again, and installed them without problems using NMM. Now I wanted to mod Fallout 4, but when I try to log in i see only this -> "Cannot reach the Nexus login server. Either your firewall is blocking NMM or the login server is down." I'm kinda sure my AV or Firewall are not blocking NMM, so I guess the discontinued development is the cause of this error.
  10. RadoGamer
    RadoGamer
    • supporter
    • 471 posts
    • 5 kudos
    Ok after reading thru this lengthy thread, first I will voice frustration. All the time I have been on this site I was supporting, for some time financially and some not, what I thought was the development of this site as well as the NMM, now in simple terms I find that the NMM has been basically dumped and a new app called the Vortex is in development.
     
    The frustration I feel is caused primarily by the fact I mod over 10 games, some are on a legacy installation of NMM those being older games that did not like the newer version of NMM, the others are on at present, version 65.2 which has been failing to update for some time, and now I understand why!  Yes it would have been nice to know, and before anyone says there was a notice about this, I log in to my forum account often and I come to the site if not daily almost that often, and never in all that time did I see a notice of EOL for the NMM!  Also not to mention I have over 200 mods on Skyrim, 175 on Fallout 4 and almost that may on Skyrim SE, not counting the other games I have modded.
     
    I do know that the NMM is still available at https://github.com/Nexus-Mods/Nexus-Mod-Manager/releases and as far as I can tell it is still being updated, but!! How safe is this situation seeing that their certificate is no longer viable!
     
    Now about Vortex! WTF! yet another alpha/beta application after years of a beta app that seemed perfectly fine to me, and now users are to simply shift all those mods we have lovingly supported on this site to another app I've never used! None of this frustration is unwarranted, I'm a programmer, a webmaster and have been using computers way before there was even Windows3. Please tell me how this is alright to be doing to people who have supported this site for so long?
     
    Ok I've vented, now I will check out the new app as I am not stupid just angry, I will check out how it works and hopefully there is viable information on how to move all my mods from NMM to this application without having to reinstall over 400 mods on 10 games.
     
    To all the mod creators I love you guys as I am a mod creator myself, not as good as many of you. I do know how much work it takes to create many of the mods I use.
     
    Nexus,  I will continue to support you and all the people you give a home to for their work as I find that the most important thing you do, just know, some of us were bound to be unhappy with this situation, I am one of them!
REPORT BUG
Top